# Function stateFieldsToWhere

- stateFieldsToWhere(
  opts: {
  approximate?: boolean;
  fields: Field[];
  prefix?: string;
  state: object;
  table: Table;
  },
  ): object

  #### Parameters

  - opts: {
    approximate?: boolean;
    fields: Field[];
    prefix?: string;
    state: object;
    table: Table;
    }

  #### Returns object

  - Defined in packages/saltcorn-data/plugin-helper.js:2041